Package: groovy.json.internal

## [Java] Class JsonParserLax

- groovy.json.internal.JsonParserLax

- Authors:
    Richard Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonParserLax ()`
    `JsonParserLax (boolean useValues)`
    `JsonParserLax (boolean useValues, boolean chop)`
    `JsonParserLax (boolean useValues, boolean chop, boolean lazyChop)`
    `JsonParserLax (boolean useValues, boolean chop, boolean lazyChop, boolean defaultCheckDates)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected Object` | `decodeFromChars(char[] cs)`
    `protected Value` | `decodeNumberLax(boolean minus)`
    `protected Object` | `decodeValue()`

- - ### Constructor Detail

    - #### public JsonParserLax()

    - #### public JsonParserLax(boolean useValues)

    - #### public JsonParserLax(boolean useValues, boolean chop)

    - #### public JsonParserLax(boolean useValues, boolean chop, boolean lazyChop)

    - #### public JsonParserLax(boolean useValues, boolean chop, boolean lazyChop, boolean defaultCheckDates)

  - ### Method Detail

    - #### protected final Object decodeFromChars(char[] cs)

    - #### protected final Value decodeNumberLax(boolean minus)

    - #### protected final Object decodeValue()